<?php
  include ('media_sc_fns_project.php');
  // The shopping cart needs sessions, so start one
  session_start();

  $media_id = $_GET['media_id'];

  // get this media out of database
  $media = get_media_details($media_id);
  do_html_header($media['title']);
  display_media_details($media);

  // set url for "continue button"
  $target = "index_project.php";
  if($media['cat_id']) {
    $target = "show_cat_project.php?cat_id=".$media['cat_id'];
  }

  // if logged in as admin, show edit media links
  if(check_admin_user()) {
    display_button("edit_media_form_project.php?media_id=".$media_id, "edit-item", "Edit Item");
    display_button("admin_project.php", "admin-menu", "Admin Menu");
    display_button($target, "continue", "Continue");
  } else {
    display_button("show_cart_project.php?new=".$media_id, "add-to-cart",
                   "Add".$media['title']." To My Shopping Cart");
    display_button($target, "continue-shopping", "Continue Shopping");
  }

  //do_html_footer();
  require('footerproject.php');
?>
